### Function

# Vips type_find

#### Declaration [src]

    GType
    vips_type_find (
      const char* basename,
      const char* nickname
    )

#### Description [src]

Search below `basename`, return the `GType` of the class whose name or `nickname` matches, or 0 for not found. If `basename` is `NULL`, the whole of `VipsObject` is searched.

This function uses a cache, so it should be quick.

See also

`vips_class_find()`.

#### Parameters

`basename`

  Type: `const char*`

  Name of base class.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`nickname`

  Type: `const char*`

  Search for a class with this nickname.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GType`

The `GType` of the class, or 0 if the class is not found.